libqxp::QXPCollector Class Reference

`#include <QXPCollector.h>`

Inheritance diagram for libqxp::QXPCollector:

## Public Member Functions

| QXPCollector ()=default
virtual | ~QXPCollector ()=default
virtual void | startDocument ()
virtual void | endDocument ()
virtual void | startPage (const Page &)
virtual void | endPage ()
virtual void | collectDocumentProperties (const QXPDocumentProperties &)
virtual void | collectLine (const std::shared_ptr< Line > &)
virtual void | collectBox (const std::shared_ptr< Box > &)
virtual void | collectTextBox (const std::shared_ptr< TextBox > &)
virtual void | collectTextPath (const std::shared_ptr< TextPath > &)
virtual void | collectGroup (const std::shared_ptr< Group > &)
virtual void | collectText (const std::shared_ptr< Text > &, const unsigned)

## Private Member Functions

| QXPCollector (const QXPCollector &other)=delete
QXPCollector & | operator= (const QXPCollector &other)=delete

## Constructor & Destructor Documentation

## QXPCollector() [1/2]

libqxp::QXPCollector::QXPCollector | ( | const QXPCollector & | other | ) |

private delete

Referenced by operator=(), and QXPCollector().

## QXPCollector() [2/2]

libqxp::QXPCollector::QXPCollector | ( |  | ) |

default

## ~QXPCollector()

virtual libqxp::QXPCollector::~QXPCollector | ( |  | ) |

virtual default

## Member Function Documentation

## collectBox()

virtual void libqxp::QXPCollector::collectBox | ( | const std::shared_ptr< Box > & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP4Parser::parseBezierEmptyBox(), libqxp::QXP4Parser::parseBezierPictureBox(), libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP33Parser::parseEmptyBox(), libqxp::QXP4Parser::parseEmptyBox(), libqxp::QXP33Parser::parsePictureBox(), libqxp::QXP4Parser::parsePictureBox(), libqxp::QXP33Parser::parseTextBox(), and libqxp::QXP4Parser::parseTextBox().

## collectDocumentProperties()

virtual void libqxp::QXPCollector::collectDocumentProperties | ( | const QXPDocumentProperties & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP33Parser::parseDocument(), and libqxp::QXP4Parser::parseDocument().

## collectGroup()

virtual void libqxp::QXPCollector::collectGroup | ( | const std::shared_ptr< Group > & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP33Parser::parseGroup(), and libqxp::QXP4Parser::parseGroup().

## collectLine()

virtual void libqxp::QXPCollector::collectLine | ( | const std::shared_ptr< Line > & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP4Parser::parseBezierLine(), libqxp::QXP4Parser::parseBezierText(), libqxp::QXP33Parser::parseLine(), libqxp::QXP4Parser::parseLine(), and libqxp::QXP4Parser::parseLineText().

## collectText()

virtual void libqxp::QXPCollector::collectText | ( | const std::shared_ptr< Text > & | ,
|  | const unsigned | )

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXPParser::parseText().

## collectTextBox()

virtual void libqxp::QXPCollector::collectTextBox | ( | const std::shared_ptr< TextBox > & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP4Parser::parseBezierTextBox(), libqxp::QXP33Parser::parseTextBox(), and libqxp::QXP4Parser::parseTextBox().

## collectTextPath()

virtual void libqxp::QXPCollector::collectTextPath | ( | const std::shared_ptr< TextPath > & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP4Parser::parseBezierText(), and libqxp::QXP4Parser::parseLineText().

## endDocument()

virtual void libqxp::QXPCollector::endDocument | ( |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

## endPage()

virtual void libqxp::QXPCollector::endPage | ( |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP1Parser::parsePages(), libqxp::QXP33Parser::parsePages(), and libqxp::QXP4Parser::parsePages().

## operator=()

QXPCollector & libqxp::QXPCollector::operator= | ( | const QXPCollector & | other | ) |

private delete

## startDocument()

virtual void libqxp::QXPCollector::startDocument | ( |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

## startPage()

virtual void libqxp::QXPCollector::startPage | ( | const Page & |  | ) |

inline virtual

Reimplemented in libqxp::QXPContentCollector.

Referenced by libqxp::QXP1Parser::parsePages(), libqxp::QXP33Parser::parsePages(), and libqxp::QXP4Parser::parsePages().

The documentation for this class was generated from the following file:

- QXPCollector.h